Page MenuHomePhabricator

[Analytics] Improvements to Wikistats2 front-end
Closed, ResolvedPublic0 Story Points

Description

This task corresponds to a GSoC 2018 project (Google Summer of Code 2018).
See: https://www.mediawiki.org/wiki/Google_Summer_of_Code/2018#[Analytics]_Improvements_to_Wikistats2_front-end
Mentor for the project: @mforns.


Short description:

Wikistats [1] is the public statistics website of the Wikimedia Foundation. Its main purpose is to add context and motivate our editor community by providing a set of metrics through which users can see the impact of their contributions in the projects they are a part of. Wikistats2 [2][3][4] is a recently released website, developed by the WMF's Analytics team [5][6], that will replace Wikistats in the near future. Wikistats2 is intended to:

  • Update the website's interface.
  • Provide access to data in an analytics-friendly form.
  • Be easier to maintain and improve.

Wikistats2 is currently in production but still in alpha stage. There are some improvements that need to be made in order to consider Wikistats2 a full replacement of its predecessor. The objective of this GSoC project is to improve Wikistats2 front-end, bringing it closer to a finalized product. This task lists around 12 subtasks containing small improvements to be implemented. If the student, after familiarizing with Wikistats2 interface, has other suggestions of improvements, those will be welcome!

[1] https://stats.wikimedia.org
[2] https://stats.wikimedia.org/v2
[3] https://wikitech.wikimedia.org/wiki/Analytics/Wikistats_2
[4] https://github.com/wikimedia/analytics-wikistats2
[5] https://wikimediafoundation.org/wiki/Staff_and_contractors#Analytics
[6] https://wikitech.wikimedia.org/wiki/Analytics

Expected outcome:

  • At least 8 of the 12 proposed improvements are productionized before the deadline. Each subtask includes:
    1. Implementation
    2. Testing
    3. Documentation
  • [Extra] Discuss, implement, test and document any new ideas that the student may have to improve Wikistats2 front-end.

Skills required

  • Awareness of programming fundamentals.
  • Awareness of web application development fundamentals.
  • Capacity to write correct and readable code in JavaScript (ES6), HTML and CSS.
  • Some familiarity with single-page-application frameworks is a plus (Wikistats2 uses Vue.js [7]).
  • General knowledge of how MediaWiki wikis work (editing, pages, users, etc.) is also a plus.

[7] https://vuejs.org

Related Objects

StatusAssignedTask
Resolvedsahil505
Resolvedsahil505
Resolvedsahil505
Resolvedsahil505
Resolvedsahil505
Resolvedsahil505
Resolvedsahil505
Resolvedsahil505
Opensahil505
Resolvedsahil505
Resolvedsahil505
Resolvedsahil505
Resolvedsahil505
Resolvedsahil505
Resolvedsahil505
Resolvedsahil505
Opensahil505
Resolvedsahil505
Resolvedsahil505

Event Timeline

mforns created this task.Mar 8 2018, 3:05 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptMar 8 2018, 3:05 PM
fdans edited projects, added Analytics-Kanban; removed Analytics.Mar 8 2018, 6:01 PM
fdans set the point value for this task to 0.
fdans moved this task from Next Up to Parent Tasks on the Analytics-Kanban board.
Nuria edited projects, added Analytics; removed Analytics-Kanban.Mar 8 2018, 6:38 PM
Nuria edited projects, added Analytics-Kanban; removed Analytics.
srishakatux renamed this task from Analytics GSoC to [Analytics] Improvements to Wikistats2 front-end .Mar 8 2018, 7:41 PM
srishakatux added a subscriber: srishakatux.

@mforns - I would be interested to work on this project for GSoC 2018. I have explored some of the sub-tasks that have been listed above and have some really interesting ideas on how we can improve the frontend of Wikistats2. I've a lot of experience with the skillsets required for this project such as VueJS and normal JS for instance. Thanks.

mforns updated the task description. (Show Details)Mar 13 2018, 9:12 PM
mforns added a subscriber: Nuria.

Hi @sahil505, thank you very much for applying for the project!
I've added a short project description to this task, and put some links of interest there.
I hope it helps you better understand the project.
Let's continue our conversation by email :]
Cheers

This message is for students interested in working on this project for Google-Summer-of-Code (2018)

  • Student application deadline is March 27 16:00 UTC.
  • If you have questions about eligibility, please read the GSoC rules thoroughly here https://summerofcode.withgoogle.com/rules/. Wikimedia will not be responsible for verifying your eligibility and also not be able to make any decisions on this. For any clarifying questions, please email gsoc-support@google.com
  • Ensure that by now you have already discussed your implementation approach with your mentors, completed a few bugs/microtasks and made a plan to move forward with the proposal
  • I encourage you to start creating your proposals on Phabricator now to receive timely feedback on them from mentors. Do not wait until the last minute. Give your mentors at least a week's time to review your proposal, so that you could then incorporate any suggestions for changes. Learn how to submit a proposal in our participant's guide: https://www.mediawiki.org/wiki/Google_Summer_of_Code/Participants (Step 9)
  • Proposals that contain links to successfully merged patches before the application period and submitted on both Phabricator and GSoC portal will only be considered for the review process. So, between now and the application deadline, you could consider working on this task.
  • If you would like to chat with me more about the process or have questions, come and talk to me in the Zulip chat: https://wikimedia.zulipchat.com/

Where is the source code?

Hi @Jibin2706, the source code is in the task's description (reference [4]).

Removed T178018 based on @Milimetric comments.

ping @sahil505 @mforns Is there anything remaining in this task from GSoC'18? If not, then please consider marking it as resolved! Ensure no pull requests are remaining to be merged and deployed in production and documentation both on-wiki and in the code is complete.

Same goes for T189964

mforns closed this task as Resolved.Sep 10 2018, 5:22 PM

Resolved! Kudos to Sahil

@sahil505 I was a little busy at the end of your GSoC session to say this, but I wanted to make sure it's somewhere public: you did an amazing job, and put Wikistats 2 in a much better place than where you found it. Thank you so much, you should be proud of your work here.

sahil505 added a subscriber: fdans.Sep 20 2018, 8:17 PM

Hey @Milimetric, thanks a lot for this amazing gesture. All of this would not have been possible without your, @Nuria, @fdans & especially @mforns guidance and support. I extend my deepest gratitude to you all. Cheers :)

+1 to great work @sahil505 !